Skip to content

updatePurchaseInvoiceStatus

WRITE

Update purchase invoice status.

POST /api/v1/invoicing/updatePurchaseInvoiceStatus
curl -X POST '<your-host>/api/v1/invoicing/updatePurchaseInvoiceStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "assignee": "string"
  }'

Parameters

ParameterType
"Draft""Pending""Partially Paid""Open""Debit Note Issued""Paid""Voided""Overdue"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Pending",
        "Partially Paid",
        "Open",
        "Debit Note Issued",
        "Paid",
        "Voided",
        "Overdue"
      ]
    },
    "assignee": {
      "type": "null"
    },
    "datePaid": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "status",
    "assignee"
  ]
}